Поиск в Поддержке

Избегайте мошенников, выдающих себя за службу поддержки. Мы никогда не попросим вас позвонить, отправить текстовое сообщение или поделиться личной информацией. Сообщайте о подозрительной активности, используя функцию «Пожаловаться».

Learn More

since upgrading to version 69 of Firefox browser, my IDM integration module no longer works ? wtf

more options

Previously used IDM 6.33 with Firefox 68 and the integration worked perfectly. Upgraded to ver 69 and my IDM 6.33 integration stopped worked. A window kep t poping up to say I neede to install the module. I upgraded 6.33 to 6.35, but to no avail. Still reporting that the module is missing. IDM say that Mozilla will create an integration module for Firefox 69

Previously used IDM 6.33 with Firefox 68 and the integration worked perfectly. Upgraded to ver 69 and my IDM 6.33 integration stopped worked. A window kep t poping up to say I neede to install the module. I upgraded 6.33 to 6.35, but to no avail. Still reporting that the module is missing. IDM say that Mozilla will create an integration module for Firefox 69

Все ответы (3)

more options

Hmm, IDM creates the extension(s), not Mozilla.

I see you have two IDM extensions in the add-on list you shared:

  • iDM Integration Extension 1.1.5 ({ed9a84e6-a04e-4d97-ad7e-b7414f2912eb}) -- this one is enabled
  • IDM Integration Module 6.33.2 (mozilla_cc3@internetdownloadmanager.com) -- this one is disabled

Can that second one be enabled here:

  • Ctrl+Shift+a (Mac: Command+Shift+a)
  • "3-bar" menu button (or Tools menu) > Add-ons
  • type or paste about:addons in the address bar and press Enter/Return

In the left column of the Add-ons page, click Extensions.

Then scroll the list on the right side to the bottom to find the disabled extensions. Any luck? Or is there a message explaining the reason it's disabled?


It sounds like you already did the steps in IDM's support articles, but just in case:

Did you get the latest updated version: http://www.internetdownloadmanager.com/news.html

more options

I read somewhere on the IDM website that because Mozilla upgrade their browser every 6 weeks or so, the frequency in which the modules are invalidated is quite high. Currently there is no compatible module for FF ver 69. I then upgraded IDM from 6.33 60 6.35, and integrated into Edge. It works perfectly. As much as I love Firefox, I have no option but to stop using Firefox and run with Edge

more options

Or you could use the Extended Support Release of Firefox 68 for the next year. More info if you want it: Switch to Firefox Extended Support Release (ESR) for personal use.